name: release

on: 
  push:
    tags:
      - '*'

jobs:
  release:
    runs-on: ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest
    steps:
      - uses: https://git.phyllo.me/actions/checkout@v4
        with:
          fetch-depth: 0
      - uses: https://git.phyllo.me/actions/action-gh-release@v2
        with:
          files: |-
            bin/**
          api_key: '${{secrets.RELEASE_TOKEN}}'


